[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogIcon

Identifier for an icon displayed on a Task dialog.

## Declaration

Source position: dialogs.pp line 623

`type TTaskDialogIcon = (`
`tdiNone,` |  | No icon is displayed.
`tdiWarning,` |  | Displays the Warning icon (Amber triangle with an Exclamation mark).
`tdiError,` |  | Displays the Error icon (Red circle with an X).
`tdiInformation,` |  | Displays the Information icon (Blue circle with a Question Mark).
`tdiShield,` |  | Displays the Shield icon.
`tdiQuestion` |  | Displays the Question icon (Blue circle with a Question Mark).
`);`

## Description

TTaskDialogIcon is the type used for the FooterIcon and MainIcon properties in TCustomTaskDialog.

## See also

TCustomTaskDialog.FooterIcon |  | Icon for the footer area displayed at the bottom of the dialog.
TCustomTaskDialog.MainIcon |  | Icon displayed beside the Title for the dialog.